Subject: Re: RFR: New e1000 driver (e1000new), was: Re: e1000: backport ich9 support from 7.5.5 ?

From: Roland Dreier <[email-masked]>
Date: Fri, 29 Jun 2007 20:32:34 -0700

one possibility would be to merge e1000new with support only for chips
not supported by e1000, and semi-freeze e1000 (fixes only, new device
support goes into e1000new).  Then if there are some devices that are
more naturally supported by e1000new, we could later on merge patches
to move support for those devices from e1000 to e1000new.  Presumably
this would simplify e1000, since it would have to support a smaller
set of older devices.  e1000new would stay relatively clean too since
it wouldn't have to handle anything too old.

And at every stage of the process, any given NIC would have only one
driver in the tree.

 - R.

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/